- Reference
- OCPI 2.1.1 (eMSP)
- Receiver Location
OpenAPI reference
Receiver Location
/locations/{country_code}/{party_id}/{location_id}/{evse_uid}Retrieve an EVSE as it is stored in the eMSP system.
API: OCPI 2.1.1 (eMSP) · Module: Locations (eMSP)
Base path:/locations· Base URL:https://ocpi-api.gridos.co/ocpi/emsp/2.1.1
Overview
GET /locations/{country_code}/{party_id}/{location_id}/{evse_uid}Absolute URL: https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/locations/{country_code}/{party_id}/{location_id}/{evse_uid}
Retrieve an EVSE as it is stored in the eMSP system.
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/locations/NL/ABC/LOC1/EVSE1' \
-H "Authorization: Token $OCPI_TOKEN"Request
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
country_code | string | Yes | ISO-3166 alpha-2 country code of the party performing this request. |
party_id | string | Yes | 3-char party ID of the CPO or eMSP (ISO-15118). |
location_id | string | Yes | Location.id of the Location object. |
evse_uid | string | Yes | EVSE.uid of the EVSE object. |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | EvseResponse |
401 | Unauthorized | — |
404 | Not Found | — |
422 | Validation Error | HTTPValidationError |
200 — successful response
application/json
Schema: EvseResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | EVSE | No | EVSE |
Response example
{
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z",
"data": {
"uid": "string",
"evse_id": "string",
"status": {
"_type": "EvseStatus"
},
"status_schedule": [
{
"_type": "StatusSchedule"
}
],
"capabilities": [
{
"_type": "Capability"
}
],
"connectors": [
{
"_type": "Connector"
}
],
"floor_level": "string",
"coordinates": {
"_type": "GeoLocation"
},
"physical_reference": "string",
"last_updated": "2024-01-15T10:00:00Z"
}
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}404 — not found
application/json
Response example
{
"status_code": 2004,
"status_message": "Resource not found",
"timestamp": "2025-01-01T00:00:00Z"
}422 — validation error
application/json
Schema: HTTPValidationError
| Field | Type | Required | Description |
|---|---|---|---|
detail | ValidationError[] | No | Detail |
Response example
{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string",
"input": {
"_type": "Input"
},
"ctx": {
"_type": "Context"
}
}
]
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/locations/NL/ABC/LOC1/EVSE1' \
-H "Authorization: Token $OCPI_TOKEN"